import java.awt.*;

public class TestApplet extends javax.swing.JApplet {
	String parameter;

	public void init() {
		parameter = getParameter( "TEXT" );
		if( parameter == null )
			parameter = "No value found";
	}

	public void paint( Graphics screen ) {
		Graphics2D screen2D = (Graphics2D) screen;
		screen2D.drawString( "I got value '" + parameter + "'.", 5, 50);
	}  

}
